Peplink Portal Docs

Get status of a SIM

For postpaid sim only

400 will be returned if the sim is not under postpaid.

Retrieve the status of a sim.

Request

GET/sims/{iccid}/status

Path parameters

iccidstringrequired

ICCID of the sim to retrieve.

Response

A json is returned in the response body with the following fields:

statusnullable enum

Status of the SIM. null if we cannot determine the status temporarily, please try again.

  • ACTIVE — The sim is active
  • SUSPENDED — The sim is suspended and no data can be consumed

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/sims/{iccid}/status' \  -H 'Authorization: Bearer {token}'

Response

{
  "status": "ACTIVE"
}

On this page